### Function

# Gdkevents_get_center

#### Declaration [src]

    gboolean
    gdk_events_get_center (
      GdkEvent* event1,
      GdkEvent* event2,
      double* x,
      double* y
    )

#### Description [src]

Returns the point halfway between the events’ positions.

This assumes that both events have X/Y information. If not, this function returns `FALSE`.

#### Parameters

`event1`

  Type: `GdkEvent`

  First `GdkEvent`

  The data is owned by the caller of the function.

`event2`

  Type: `GdkEvent`

  Second `GdkEvent`

  The data is owned by the caller of the function.

`x`

  Type: `double*`

  Return location for the X coordinate of the center.

  The argument will be set by the function.

`y`

  Type: `double*`

  Return location for the Y coordinate of the center.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the center could be calculated.